#ifndef CORE17_DB_H
#define CORE17_DB_H
/*lint ++flb */

/* Raima Database Manager 11.0.0.1000 */

/* ----------------------------------------------------------------------------
 *
 * Raima Database Manager
 *
 * Copyright (c) 2012 Raima Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 *
 * ----------------------------------------------------------------------------
 */

/* EXAMPLE - Database for Core17 example */
/* This is the DDL (Database Definition Language) for a simple database.
 * There is only one record type defined called rec01, which has a single 
 * indexed integer field called field01.
 *
 * This schema file should be processed using the ddlp utility using the
 * -c option to create an embedded dbd file.  The -c option will generate
 * a c header file (core17_db_dbd.h) and a c source file (core17_db_dbd.c)
 * which can be compiled into the application and used with the d_open_ptr
 * API to create the database if it does not already exist.
 * 
 * The following command was used to generate the database structure used in
 * this example:
 *
 * ddlp -c -d core17_db.ddl
 */


/* database core17_db record/key structure declarations */

struct rec01 {
   int32_t field01;
};

/* record, field and set table entry definitions */

/* File Id Constants */

/* Record Name Constants */
#define REC01 10000

/* Field Name Constants */
#define REC01_FIELD01 0L

/* Set Name Constants */

/* Field Sizes */
#define SIZEOF_REC01_FIELD01 4

/*lint --flb */
#endif    /* CORE17_DB_H */
